Bug 216205 - Kernel 2239 (x86_64) doesn't boot
Kernel 2239 (x86_64) doesn't boot
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-17 14:43 EST by Pierre Juhen
Modified: 2008-04-04 14:34 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 14:34:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pierre Juhen 2006-11-17 14:43:59 EST
Description of problem:

Kernel 2.6.18-2239 doesn't boot on my machine. Previous was kernel 2200.

Version-Release number of selected component (if applicable):

2.6.18-2239

How reproducible:

Just try to boot on kernel

  
Actual results:

Seems not finding the raid+lvm2 root filesystem.
So pivotroot fails
Maybe a problem with via / sata

Additional info :
I have an ASUS A8V mobo, and uses the via/sata raid.

Lsmod on kernel 2200

dm_snapshot            50961  0
dm_zero                35393  0
dm_mirror              64449  0
dm_mod                 99601  59 dm_snapshot,dm_zero,dm_mirror
raid1                  58049  2
ext3                  178001  13
jbd                   100273  1 ext3
sata_via               44741  8
libata                143977  1 sata_via
sd_mod                 55873  85
scsi_mod              191505  4 usb_storage,sg,libata,sd_mod

Thank you,
Comment 1 Pierre Juhen 2006-11-17 15:20:25 EST
Precision :

/boot is on a simple ext3 partition (mirrored).

/ is in a LVM volume.

Comment 2 shrek-m 2006-11-20 08:20:42 EST
the last booting kernel is 2187
with the 22* the kernel panics, no ext3-fs found

# uname -a
Linux localhost.localdomain 2.6.17-1.2187_FC5 #1 SMP Mon Sep 11 01:16:59 EDT
2006 x86_64 x86_64 x86_64 GNU/Linux
neither 2200 nor 2239 was bootable, they can not find the raid1|5-devices

# rpm -q kernel | sort
kernel-2.6.16-1.2080_FC5
kernel-2.6.16-1.2096_FC5
kernel-2.6.16-1.2111_FC5
kernel-2.6.16-1.2122_FC5
kernel-2.6.16-1.2133_FC5
kernel-2.6.17-1.2139_FC5
kernel-2.6.17-1.2145_FC5
kernel-2.6.17-1.2157_FC5
kernel-2.6.17-1.2174_FC5
kernel-2.6.17-1.2187_FC5
kernel-2.6.18-1.2200.fc5
kernel-2.6.18-1.2239.fc5

# cat /etc/fstab
/dev/md1                /                       ext3    defaults        1 1
/dev/md0                /boot                   ext3    defaults        1 2
devpts                  /dev/pts                devpts  gid=5,mode=620  0 0
tmpfs                   /dev/shm                tmpfs   defaults        0 0
proc                    /proc                   proc    defaults        0 0
sysfs                   /sys                    sysfs   defaults        0 0
/dev/md2                /data                   ext3    defaults        1 1


----mdadm.conf----
# cat /etc/mdadm.conf

# mdadm.conf written out by anaconda
DEVICE partitions
MAILADDR root
ARRAY /dev/md1 level=raid5 num-devices=3 uuid=5ac8f1d4:0ea6b24e:80cec79d:82d97abc
ARRAY /dev/md0 level=raid1 num-devices=3 uuid=ca2d499b:ff364e06:7c39cde1:27429f10

## ab hier nachtraeglich
DEVICE /dev/sda3 /dev/sdb3 /dev/sdc3
ARRAY /dev/md2 level=raid5 num-devices=3 devices=/dev/sda3,/dev/sdb3,/dev/sdc3
##mdadm --examine --scan
##ARRAY /dev/md2 level=raid5 num-devices=3 UUID=5773d3c5:f1e3e1a4:ae1f2ccc:3a33796b
----/----
Comment 3 shrek-m 2006-11-20 08:42:18 EST
hint
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=211030

i guess that the raid456.ko is the problem and the raid5.ko was ok

# locate raid5.ko
/lib/modules/2.6.16-1.2080_FC5/kernel/drivers/md/raid5.ko
/lib/modules/2.6.16-1.2096_FC5/kernel/drivers/md/raid5.ko
/lib/modules/2.6.16-1.2111_FC5/kernel/drivers/md/raid5.ko
/lib/modules/2.6.16-1.2122_FC5/kernel/drivers/md/raid5.ko
/lib/modules/2.6.16-1.2133_FC5/kernel/drivers/md/raid5.ko
/lib/modules/2.6.17-1.2139_FC5/kernel/drivers/md/raid5.ko
/lib/modules/2.6.17-1.2145_FC5/kernel/drivers/md/raid5.ko
/lib/modules/2.6.17-1.2157_FC5/kernel/drivers/md/raid5.ko
/lib/modules/2.6.17-1.2174_FC5/kernel/drivers/md/raid5.ko
/lib/modules/2.6.17-1.2187_FC5/kernel/drivers/md/raid5.ko

# locate raid456.ko
/lib/modules/2.6.18-1.2200.fc5/kernel/drivers/md/raid456.ko
/lib/modules/2.6.18-1.2239.fc5/kernel/drivers/md/raid456.ko
Comment 4 Pierre Juhen 2006-11-20 14:49:31 EST
I have no problem with kernel 2200.

And I use only raid0 and raid1.

[...]# lsmod | grep raid
raid0                  41153  1
raid1                  58049  2


Pierre
Comment 5 Pierre Juhen 2006-11-20 14:56:06 EST
Hereafter is the log of mkinitrd for kernel 2200 on my config
copy from `/lib/modules/2.6.18-1.2200.fc5/kernel/drivers/scsi/scsi_mod.ko'
[elf64-x86-64] to `/tmp/initrd.of4296/lib/scsi_mod.ko' [elf64-x86-64]
copy from `/lib/modules/2.6.18-1.2200.fc5/kernel/drivers/scsi/sd_mod.ko'
[elf64-x86-64] to `/tmp/initrd.of4296/lib/sd_mod.ko' [elf64-x86-64]
copy from `/lib/modules/2.6.18-1.2200.fc5/kernel/drivers/scsi/libata.ko'
[elf64-x86-64] to `/tmp/initrd.of4296/lib/libata.ko' [elf64-x86-64]
copy from `/lib/modules/2.6.18-1.2200.fc5/kernel/drivers/scsi/sata_via.ko'
[elf64-x86-64] to `/tmp/initrd.of4296/lib/sata_via.ko' [elf64-x86-64]
copy from `/lib/modules/2.6.18-1.2200.fc5/kernel/fs/jbd/jbd.ko' [elf64-x86-64]
to `/tmp/initrd.of4296/lib/jbd.ko' [elf64-x86-64]
copy from `/lib/modules/2.6.18-1.2200.fc5/kernel/fs/ext3/ext3.ko' [elf64-x86-64]
to `/tmp/initrd.of4296/lib/ext3.ko' [elf64-x86-64]
copy from `/lib/modules/2.6.18-1.2200.fc5/kernel/drivers/md/dm-mod.ko'
[elf64-x86-64] to `/tmp/initrd.of4296/lib/dm-mod.ko' [elf64-x86-64]
copy from `/lib/modules/2.6.18-1.2200.fc5/kernel/drivers/md/dm-mirror.ko'
[elf64-x86-64] to `/tmp/initrd.of4296/lib/dm-mirror.ko' [elf64-x86-64]
copy from `/lib/modules/2.6.18-1.2200.fc5/kernel/drivers/md/dm-zero.ko'
[elf64-x86-64] to `/tmp/initrd.of4296/lib/dm-zero.ko' [elf64-x86-64]
copy from `/lib/modules/2.6.18-1.2200.fc5/kernel/drivers/md/dm-snapshot.ko'
[elf64-x86-64] to `/tmp/initrd.of4296/lib/dm-snapshot.ko' [elf64-x86-64]

Comment 6 Bug Zapper 2008-04-04 00:45:31 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.